- Home
- API Enriched
- Marketplace
- namespaces
- GET Registration Details.
GET Registration Details.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/f5xc-saas/signup/registration_details';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/f5xc-saas/signup/registration_details \ --header 'Authorization: <Authorization>'Use this API to to GET registration details (currently limited to email address and domain) associated with a specific asb_message object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”The token contains the encrypted data, secured using an HMAC key.
Responses
Section titled “Responses”A successful response.
Response format for returning registration details associated with the ASB message.
object
A URL to the console page, returned if the tenant is already signed up and active.
The domain associated with the registered ASB message.
The email associated with the registered ASB message.
An error message providing additional details (e.g., tenant already signed up)
Examplegenerated
{ "console_url": "example", "domain": "example", "email": "hello@example.com", "error_message": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example